Welcome to the Question2Answer Q&A. There's also a demo if you just want to try it out.
0 votes
390 views
in Q2A Core by
Hello,

I've installed MySQL 5.7 on Ubuntu 18.04 after the installation it shows ERROR 1698 (28000): Access denied for user 'root'@'localhost, how to resolve this please let me know?
by
you said you were trying to update your MySQL version, right?
if yes and you didn't backup your database, you data may be lost.
your old ibdata1,ib_logfile0,ib_logfile1 files are needed to restart your new mysql server and read your q2a database.
if you lost these files, then your database is lost and you have to start all over.

2 Answers

+1 vote
by

From research it seems that you can’t use the root user account without ‘sudo’ (admin rights) on the server. 

So to solve it you should set up a new user and give that user access to your Q2A database only (this is generally how you should set up MySQL accounts anyway, because if a login is compromised it only affects one database, not all of them).

See here for details: https://askubuntu.com/questions/763336/cannot-enter-phpmyadmin-as-root-mysql-5-7

0 votes
by
q2a uses InnoDB storage for database. it is much different from MyISAM storage.

you need to complete backup your database before you update your mysql version.
by
Huh? This is nothing to do with the question.
by
InnoDB will need ibdata1, so old ibdata1 is important and need to be backup first, why you said nothing to do with the question?
only backup database is not enough, this is why i said InnoDB storage is much different from MyISAM storage.
by
They never said anything about switching from MyISAM to InnoDB. And there is no way they would “switch” since Q2A has always used InnoDB.
...